package com.hithomelabs.dsa.array.maximum_product_subarray;


public class SolutionTest {
    @Test
    void testSolve() {
        Solution solution = new Solution();

        // Test case 1: Normal case with positive numbers
        int[] nums1 = {2, 3, -2, 4};
        assertEquals(6, solution.solve(nums1));

        // Test case 2: Array with all negative numbers
        int[] nums2 = {-2, -3, -1};
        assertEquals(6, solution.solve(nums2));

        // Test case 3: Array with a mix of positive and negative numbers
        int[] nums3 = {-2, 0, -1};
        assertEquals(0, solution.solve(nums3));

        // Test case 4: Array with one element
        int[] nums4 = {3};
        assertEquals(3, solution.solve(nums4));

        // Test case 5: Array with two elements, one negative
        int[] nums5 = {2, -5};
        assertEquals(2, solution.solve(nums5));

        // Test case 6: Array with multiple zeros
        int[] nums6 = {0, 2, 0, 3, 0};
        assertEquals(6, solution.solve(nums6));
    }
}
